Subject: [sup-talk] Running sup on Ruby 1.9.2 (Arch Linux)

From: Matti Eiden <[email-masked]>
Date: Fri, 24 Dec 2010 23:44:08 +0200

Hey folks,

I somehow broke my Ruby 1.8 installation a few days ago and ended up
trying to run sup with Ruby 1.9.2. I grabbed it from git, however the
rake would fail for not finding "sup-files" and "sup-version". I
changed these two lines in the Rakefile

from

require 'sup-files'
require 'sup-version'

to

require './sup-files.rb'
require './sup-version.rb'

and a nice gem came out. Does anyone know what caused this? Has Ruby
syntax for requiring local files changed or is my system just being
weird?

Also, after installing the gem it failed to run because rubygems was
nagging I didn't have two other gems: ncurses and xapian-full.
(xapian-full is provided in arch linux by xapian-ruby-bindings).
Ncurses for 1.9.2.. I don't know if that even exists. And ncursesw
works just fine. I guess there's a method to compile the gem to ignore
dependencies? Anyway I just removed those dependencies to get it to
work. I cloned earlier my own repository of sup where I made these
changes if anybody wants to look (or get sup run on arch+ruby 1.9.2).
It's available here: http://gitorious.org/sup/ruby192-arch

Other than that, sup seems to work very well under 1.9.2! Nice job!
Matti Eiden
_______________________________________________
sup-talk mailing list
[email-masked]
http://rubyforge.org/mailman/listinfo/sup-talk